ZITADEL Docs
APIsCore ResourcesV2Settings

Get Active Identity Providers

Get the current active identity providers for the requested context. This can be the instance or an organization. In case of an organization, the returned identity providers will fall back to the active instance identity providers if not explicitly set on the organization.

Optionally, filter the identity providers by their allowed actions:

  • creation_allowed: only return identity providers that are allowed for user creation
  • linking_allowed: only return identity providers that are allowed for linking to existing users
  • auto_creation: only return identity providers that are allowed for automatic user creation
  • auto_linking: only return identity providers that are allowed for automatic linking to existing users

Required permissions:

  • policy.read
GET
/v2/settings/login/idps

Query Parameters

ctx.orgId?org_id
ctx.instance?instance
creationAllowed?creation_allowed
linkingAllowed?linking_allowed
autoCreation?auto_creation
autoLinking?auto_linking

Response Body

application/json

curl -X GET "https://loading/v2/settings/login/idps"
{
  "details": {
    "totalResult": 0,
    "processedSequence": 0,
    "timestamp": "2023-01-15T01:30:15.01Z"
  },
  "identityProviders": [
    {
      "id": "string",
      "name": "string",
      "type": "IDENTITY_PROVIDER_TYPE_UNSPECIFIED",
      "options": {
        "isLinkingAllowed": true,
        "isCreationAllowed": true,
        "isAutoCreation": true,
        "isAutoUpdate": true,
        "autoLinking": "AUTO_LINKING_OPTION_UNSPECIFIED"
      }
    }
  ]
}

Was this page helpful?